Skip to main content
GET
Search the context graph

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Headers

X-CostGraph-Tenant-ID
string

Tenant ID

Query Parameters

q
string
required

Search text, at least 2 characters

period
enum<string>

Window; defaults to last_7d

Available options:
month_to_date,
last_7d,
last_30d,
calendar_month,
custom
month
string

Closed calendar month in YYYY-MM format; required when period=calendar_month

start
string

Window start in RFC3339 format; required when period=custom

end
string

Window end in RFC3339 format; required when period=custom

filter
string[]

Repeated key:value dimension filter, same keys and modifiers as /cost/query

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object